# Interface TimeSettings

Default settings that affect how times are formatted and parsed.

interface TimeSettings {
defaultFormat?: string;
defaultParseFormat?: string | string[];
}

#### Hierarchy (view full)

- TimeSettings
  - TimeFormatterProperties

#### Implemented by

- TimeFormatter

#####
Index

### Properties

defaultFormat?
defaultParseFormat?

##
Properties

### `Optional` defaultFormat

defaultFormat?: string

The default format for formatting times. See utilities/format/time!TimeFormatter.format.

### `Optional` defaultParseFormat

defaultParseFormat?: string | string[]

Either a single format, or one of several possible formats that the input is expected to be in. If specified, the input must exactly match. The syntax is the same as for utilities/format/time!TimeFormatter.format.